package com.swago.room.pk

object PKStateManager {

    //当前直播间状态  1 主播正在直播或者用户正在观看主播直播   2  主播正在PK或者用户正在观看主播PK  3PK的主播进入惩罚阶段或者用户正在观看惩罚阶段的主播
    const val LIVING = 1
    const val PK = 2
    const val PUNISH = 3

    var roomState = 1

    //PK场次
    var pkId = "0"


    fun resetData(){
        roomState = LIVING
        pkId = "0"
    }

    val pkIPKListenerList = ArrayList<IPKListener>()

    fun addPKListener(ipkListener: IPKListener){
        pkIPKListenerList.add(ipkListener)
    }

    fun removePKListener(ipkListener: IPKListener){
        pkIPKListenerList.remove(ipkListener)
    }

}